# Class GradleConnectionException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.gradle.tooling.GradleConnectionException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `BuildActionFailureException, BuildCancelledException, BuildException, ListenerFailedException, TestExecutionException, UnsupportedBuildArgumentException, UnsupportedVersionException`

public class GradleConnectionException extends RuntimeException
Thrown when there is some problem using a Gradle connection.

Since:
  1.0
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GradleConnectionException(String message)`
  Creates a new `GradleConnectionException`.
  `GradleConnectionException(String message, Throwable throwable)`
  Creates a new `GradleConnectionException`.
  `GradleConnectionException(String message, Throwable failure, Supplier<List<Failure>> failures)`
  Constructor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<Failure>`
  `getFailures()`
  The list of failures that occurred during the build.

  ### Methods inherited from class Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### GradleConnectionException

    public GradleConnectionException(String message)
    Creates a new `GradleConnectionException`.
    Since:
      0.9.2

  - ### GradleConnectionException

    public GradleConnectionException(String message, Throwable throwable)
    Creates a new `GradleConnectionException`.
    Since:
      0.9.2

  - ### GradleConnectionException

    @Incubating public GradleConnectionException(String message, Throwable failure, Supplier<List<Failure>> failures)
    Constructor.
    Since:
      8.12

- ## Method Details

  - ### getFailures

    @Incubating public List<Failure> getFailures()
    The list of failures that occurred during the build.
    Returns:
      the failures
    Since:
      8.12